### Property

# Adw NavigationPage:can-pop

since: 1.4

#### Declaration

    property can-pop: gboolean [ read, write ]

#### Description [src]

Whether the page can be popped from navigation stack.

Set it to `FALSE` to disable shortcuts and gestures, as well as remove the back button from `AdwHeaderBar`.

Manually calling `adw_navigation_view_pop()` or using the `navigation.pop` action will still work.

See `AdwHeaderBar:show-back-button` for removing only the back button, but not shortcuts.

Type:`gboolean`

Available since: 1.4

Default value | TRUE
Getter method | `adw_navigation_page_get_can_pop()`
Setter method | `adw_navigation_page_set_can_pop()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no